package com.ruoyi.ems.domain;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import com.ruoyi.ems.handler.json.CustomBaseSerializer;

/**
 * 巡检报告对象 adm_op_inspection_report
 *
 * @author ruoyi
 * @date 2024-08-29
 */
public class AdmOpInspectionReport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 任务代码 */
    @Excel(name = "任务代码")
    private String taskCode;

    /** 结果状态 */
    @Excel(name = "结果状态")
    private Integer resultStatus;

    /** 结果描述 */
    @Excel(name = "结果描述")
    @JsonDeserialize(using = CustomBaseSerializer.class)
    private String resultMsg;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    /** 提交时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "提交时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date subTime;

    /** 提交人 */
    @Excel(name = "提交人")
    private String submitter;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setTaskCode(String taskCode)
    {
        this.taskCode = taskCode;
    }

    public String getTaskCode()
    {
        return taskCode;
    }

    public void setResultStatus(Integer resultStatus)
    {
        this.resultStatus = resultStatus;
    }

    public Integer getResultStatus()
    {
        return resultStatus;
    }

    public void setResultMsg(String resultMsg)
    {
        this.resultMsg = resultMsg;
    }

    public String getResultMsg()
    {
        return resultMsg;
    }

    public void setFinishTime(Date finishTime)
    {
        this.finishTime = finishTime;
    }

    public Date getFinishTime()
    {
        return finishTime;
    }

    public void setSubTime(Date subTime)
    {
        this.subTime = subTime;
    }

    public Date getSubTime()
    {
        return subTime;
    }

    public void setSubmitter(String submitter)
    {
        this.submitter = submitter;
    }

    public String getSubmitter()
    {
        return submitter;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskCode", getTaskCode())
            .append("resultStatus", getResultStatus())
            .append("resultMsg", getResultMsg())
            .append("finishTime", getFinishTime())
            .append("subTime", getSubTime())
            .append("submitter", getSubmitter())
            .toString();
    }
}
